npm command-line interface

# npm-ping

Ping npm registry

## Table of contents

- Synopsis
- Description
- Configuration

- `registry`

- See Also

### Synopsis

    npm ping [--registry <registry>]

Note: This command is unaware of workspaces.

### Description

Ping the configured or given npm registry and verify authentication. If it works it will output something like:

    Ping success: {*Details about registry*}

otherwise you will get:

    Ping error: {*Detail about error}

### Configuration

#### `registry`

- Default: “https://registry.npmjs.org/”
- Type: URL

The base URL of the npm registry.

### See Also

- npm doctor
- npm config
- npmrc